<?xml version="1.0"?>
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/><title>esmtpd</title><link rel="stylesheet" type="text/css" href="style.css"/><meta name="generator" content="DocBook XSL Stylesheets V1.76.1"/><link rel="home" href="#id544046" title="esmtpd"/><link xmlns="" rel="stylesheet" type="text/css" href="manpage.css"/><meta xmlns="" name="MSSmartTagsPreventParsing" content="TRUE"/><link xmlns="" rel="icon" href="icon.gif" type="image/gif"/><!--

Copyright 1998 - 2009 Double Precision, Inc.  See COPYING for distribution
information.

--></head><body><div class="refentry" title="esmtpd"><a id="id544046" shape="rect"> </a><div class="titlepage"/><div class="refnamediv"><h2>Name</h2><p>esmtpd — The <span class="application">Courier</span> mail server
mail server ESMTP daemon</p></div><div class="refsynopsisdiv" title="Synopsis"><h2>Synopsis</h2><div class="cmdsynopsis"><p><code class="command">esmtpd</code>  {start}</p></div><div class="cmdsynopsis"><p><code class="command">esmtpd</code>  {stop}</p></div><div class="cmdsynopsis"><p><code class="command">esmtpd</code>  {restart}</p></div><div class="cmdsynopsis"><p><code class="command">esmtpd-msa</code>  {start}</p></div><div class="cmdsynopsis"><p><code class="command">esmtpd-msa</code>  {stop}</p></div><div class="cmdsynopsis"><p><code class="command">esmtpd-msa</code>  {restart}</p></div></div><div class="refsect1" title="DESCRIPTION"><a id="id578313" shape="rect"> </a><h2>DESCRIPTION</h2><p>
The command "<span class="command"><strong>esmtpd start</strong></span>" runs
<span class="command"><strong>couriertcpd</strong></span> in
the background, listening on the SMTP port.
 <span class="command"><strong>couriertcpd</strong></span> will run
<span class="command"><strong>courieresmtpd</strong></span> in response to connection
requests.</p><p>
The command "<span class="command"><strong>esmtpd stop</strong></span>" stops the
<span class="command"><strong>couriertcpd</strong></span>
daemon, shutting down the ESMTP service.</p><p>
The command "<span class="command"><strong>esmtpd-msa start</strong></span>" starts the server on the
message submission port, port 587.
"<span class="command"><strong>esmtpd-msa stop</strong></span>" stops it.
The difference between <span class="command"><strong>esmtpd</strong></span> and
<span class="command"><strong>esmtpd-msa</strong></span> is that
the latter is set up for additional processing as defined by RFC 2476 (mainly
that the messages will have the
<code class="literal">Message-ID:</code> and <code class="literal">Date:</code> headers added, by
default).</p><p>
Normally,
<a class="ulink" href="makesmtpaccess.html" target="_top" shape="rect">
<span class="citerefentry"><span class="refentrytitle">makesmtpaccess</span>(8)</span>
</a>
automatically runs "<span class="command"><strong>esmtpd restart</strong></span>", in order to reread the
<code class="filename">@sysconfdir@/smtpaccess.dat</code>
access file, so you don't have to do
it manually, yourself. Similarly,
<a class="ulink" href="makesmtpaccess.html" target="_top" shape="rect">
<span class="citerefentry"><span class="refentrytitle">makesmtpaccess-msa</span>(8)</span>
</a>
automatically runs <span class="command"><strong>esmtpd-msa restart</strong></span></p></div><div class="refsect1" title="FILES"><a id="id542952" shape="rect"> </a><h2>FILES</h2><div class="variablelist"><dl><dt><span class="term"><code class="filename">@sysconfdir@/esmtpd</code></span></dt><dd><p>
This configuration file initializes
various settings for <span class="command"><strong>courieresmtpd</strong></span>.</p></dd><dt><span class="term"><code class="filename">@sysconfdir@/esmtpd-msa</code></span></dt><dd><p>

This configuration file
initializes the settings for <span class="command"><strong>courieresmtpd</strong></span> when invoked by
<span class="command"><strong>esmtpd-msa</strong></span>.  Note that this file is used to override the
settings <code class="filename">@sysconfdir@/esmtpd</code>.
The command "<span class="command"><strong>esmtpd-msa
start</strong></span>" first reads <code class="filename">@sysconfdir@/esmtpd</code>, then
afterwards <code class="filename">@sysconfdir@/esmtpd-msa</code>. Any settings in
<code class="filename">esmtpd-msa</code> override the corresponding settings in
<code class="filename">esmtpd</code></p></dd></dl></div></div><div class="refsect1" title="SEE ALSO"><a id="id543048" shape="rect"> </a><h2>SEE ALSO</h2><p>
<a class="ulink" href="couriertcpd.html" target="_top" shape="rect">
<span class="citerefentry"><span class="refentrytitle">couriertcpd</span>(8)</span>
</a>,
<a class="ulink" href="makesmtpaccess.html" target="_top" shape="rect">
<span class="citerefentry"><span class="refentrytitle">makesmtpaccess</span>(8)</span>
</a>.</p></div></div></body></html>
